Babelium plugins now supports Moodle 2.5

Moodle-logoAfter making several fixes in the code, Babelium’s Moodle plugin is now fully compatible with Moodle 2.5. While we were at it we also made some fixes for previous versions (2.4). Here’s the changelog:

  • Far less obtrusive Babelium errors. Now the errors don’t prevent you from using the rest of Assignment Submission plugins.
  • Babelium submissions are disabled when no exercises are available. If no exercises are available for the current user, a message will be displayed and Babelium submissions will not be eligible.
  • Fixed the submission preview area. The learner can now see a thumbnail of the recording and the submission he/she made.
  • Improvements in the video player. We removed the placeholder video and errors are now more concise and user friendly.